Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Ipopt::ZeroMatrixSpace Class Reference

Class for matrix space for ZeroMatrix. More...

`#include <IpZeroMatrix.hpp>`

Inheritance diagram for Ipopt::ZeroMatrixSpace:
[legend]

## Public Member Functions
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class. More...
ZeroMatrix * | MakeNewZeroMatrix () const
| Method for creating a new matrix of this specific type. More...
Constructors / Destructors
| ZeroMatrixSpace (Index nrows, Index ncols)
| Constructor, given the number of row and columns. More...
virtual | ~ZeroMatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::MatrixSpace
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ZeroMatrixSpace ()
| Default Constructor. More...
| ZeroMatrixSpace (const ZeroMatrixSpace &)
| Copy Constructor. More...
void | operator= (const ZeroMatrixSpace &)
| Overloaded Equals Operator. More...

## Detailed Description

Class for matrix space for ZeroMatrix.

Definition at line 79 of file IpZeroMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::ZeroMatrixSpace::ZeroMatrixSpace | ( | Index | nrows,
|  | Index | ncols
| ) |  |
| inline

Constructor, given the number of row and columns.

Definition at line 86 of file IpZeroMatrix.hpp.

virtual Ipopt::ZeroMatrixSpace::~ZeroMatrixSpace | ( |  | ) |
| inline virtual

Destructor.

Definition at line 92 of file IpZeroMatrix.hpp.

Ipopt::ZeroMatrixSpace::ZeroMatrixSpace | ( |  | ) |
| private

Default Constructor.

Ipopt::ZeroMatrixSpace::ZeroMatrixSpace | ( | const ZeroMatrixSpace & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual Matrix* Ipopt::ZeroMatrixSpace::MakeNew | ( |  | ) | const
| inline virtual

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 98 of file IpZeroMatrix.hpp.

ZeroMatrix* Ipopt::ZeroMatrixSpace::MakeNewZeroMatrix | ( |  | ) | const
| inline

Method for creating a new matrix of this specific type.

Definition at line 104 of file IpZeroMatrix.hpp.

void Ipopt::ZeroMatrixSpace::operator= | ( | const ZeroMatrixSpace & |  | ) |
| private

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- src/LinAlg/IpZeroMatrix.hpp